# Generated by Django 2.0.7 on 2018-08-29 08:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('organization', '0002_auto_20180827_1317'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Invitation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('guid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('email', models.EmailField(max_length=254)),
                ('user_group', models.CharField(choices=[('ADMIN', 'Admin'), ('RADIOGRAPHER', 'Radiographer'), ('COORDINATOR', 'Coordinator'), ('RADIOLOGIST', 'Radiologist'), ('INDEPENDENT_RADIOLOGIST', 'Independent Radiologist')], max_length=30)),
                ('expire_time', models.DateTimeField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='created_invitations', to=settings.AUTH_USER_MODEL)),
                ('facility', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='invitations', to='organization.Facility')),
            ],
            options={
                'verbose_name_plural': 'Invitations',
                'db_table': 'invitations',
            },
        ),
    ]
